読者です 読者をやめる 読者になる 読者になる

てしりこじり

しりがちいさいエンジニアがいるという

ruby 2.1 系を導入する

しばらくぶりに触ったら実に怪しかった。
脳みそが揮発性なのでしょう…

rbenv と ruby-build を最新化する
cd ~/.rbenv
git pull
cd ~/.rbenv/plugins/ruby-build
git pull
インストール可能な 2.1 系を確認する
rbenv install -l | grep 2.1
2.1 系を導入する
rbenv install 2.1.1
導入後の状態を確認する
rbenv versions
ruby -v
導入したバージョンを利用するように設定する
rbenv global 2.1.1
インストール済みの gem を更新する
rbenv rehash
設定、更新後の状態を確認する
rbenv versions
ruby -v
補足

bundle install しようとしたら bundler で怒られたので、入れなおした。。。
そういうものなのー?

gem install bundler